#ifndef ANALYSISPANEL_H
#define ANALYSISPANEL_H

/************************************************************************
*   analysispanel.h:
*   global externs for the analysis panel
*   
*************************************************************************/

/* gadget enumerations */
enum
{
    GID_ANFIELD,
    GID_ANBAL,
    GID_ANSCROL,
    GID_ANSCALE,
    GID_ANTYPE, 
    GID_ANOK,
};

                        
/* layout structures */
extern GadgetSpec *AN_MainSpecs[];
extern ULONG AN_MainPanel[];
extern GadgetSpec an_gadgetspecs[]; 
extern GUIFront *analGUI;                         

BOOL AnalysisGUI(void);
BOOL AnalysisSetup(void);
void AnalysisFree(void);
#endif
