#ifndef MAINPANEL_H
#define MAINPANEL_H

/************************************************************************
*   mainpanel.h:
*   global externs for the main panel
*   
*************************************************************************/

/* gadget enumerations */
enum
{
    GID_REGHEADER,
    GID_REGFIELD,
    GID_REGVSCROL, 
    GID_CURRBAL,
    GID_STATBAL,
    GID_SELTYPE,
    GID_GETSELTYPE,
    GID_TREND,
    GID_ENTERTYPE,
    GID_NEWTYPE,
    GID_FILTER,
    GID_EDIT,
    GID_STATS,
    GID_BUDGET,
    GID_ANALYSIS,
    GID_SORT,
    GID_RUNBAL,
};


/* tags */
extern struct TagItem   getScrollerTypes[],
                        getUserTypes[],
                        usrTypeField[],
                        usrBalanceTags[],
                        usrStmtTags[];
                        
/* layout structures */
extern GadgetSpec *AC_MainSpecs[];
extern ULONG AC_MainPanel[];
extern GadgetSpec gadgetspecs[]; 
                         
#endif
