#ifndef FILTERPANEL_H
#define FILTERPANEL_H

/************************************************************************
*   filterPanel.h:
*   global externs for the editing of the filter settings
*   
*************************************************************************/

/* gadget enumerations */
enum
{
    GID_FPCHECKS,
    GID_FPWITHDRAWALS,
    GID_FPDEPOSITS,
    GID_FPCHECKRANGE,
    GID_FPCHECKFROM,
    GID_FPCHECKTO,
    GID_FPAMNTRANGE,
    GID_FPAMNTFROM,
    GID_FPAMNTTO,
    GID_FPPRINTED,
    GID_FPVOIDED,
    GID_FPCLEARED,
    GID_FPTAX,
    GID_FPUSECAT,
    GID_FPCATEGORY,
    GID_FPRECONCILED,
    GID_FPDATERANGE,
    GID_FPDATEFROM,
    GID_FPDATETO,
    GID_FPOK,
    GID_FPCANCEL,
    GID_FPPAYEE,
    GID_FPPAYEESTR,
    GID_FPMEMO,
    GID_FPMEMOSTR,
};


/* tags */
                       
/* layout structures */
extern GadgetSpec *FP_FilterSpecs[];
extern ULONG FP_FilterPanel[];
extern GUIFront *filterGUI;
extern filterSetting currFilter; 

BOOL FilterGUI(void);                         
#endif
